Skip to main content
GET
/
wallet_transactions
/
{lago_id}
/
consumptions
List all consumptions for a wallet transaction
curl --request GET \
  --url https://api.getlago.com/api/v1/wallet_transactions/{lago_id}/consumptions \
  --header 'Authorization: Bearer <token>'
{
  "wallet_transaction_consumptions": [
    {
      "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "amount_cents": 5000,
      "credit_amount": "5.0",
      "created_at": "2022-04-29T08:59:51Z",
      "wallet_transaction": {
        "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
        "lago_wallet_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
        "lago_invoice_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
        "lago_credit_note_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
        "lago_voided_invoice_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
        "status": "settled",
        "source": "manual",
        "transaction_status": "purchased",
        "transaction_type": "inbound",
        "amount": "10.0",
        "credit_amount": "100.0",
        "invoice_requires_successful_payment": false,
        "metadata": [
          {
            "key": "example key",
            "value": "example value"
          },
          {
            "key": "another key",
            "value": "another value"
          }
        ],
        "remaining_amount_cents": 5000,
        "remaining_credit_amount": "5.0",
        "priority": 50,
        "settled_at": "2022-04-29T08:59:51Z",
        "failed_at": "2022-04-29T08:59:51Z",
        "created_at": "2022-04-29T08:59:51Z",
        "name": "Tokens for models 'high-fidelity-boost'",
        "payment_method": {
          "payment_method_type": "provider",
          "payment_method_id": "1a901a90-1a90-1a90-1a90-1a901a901a90"
        },
        "applied_invoice_custom_sections": [
          {
            "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
            "invoice_custom_section_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
            "created_at": "2023-07-06T14:35:58Z"
          }
        ]
      }
    }
  ],
  "meta": {
    "current_page": 2,
    "total_pages": 4,
    "total_count": 70,
    "next_page": 3,
    "prev_page": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lago_id
string<uuid>
required

Unique identifier assigned to the wallet transaction within the Lago application. Must be an inbound wallet transaction.

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

Response

Wallet transaction consumptions

wallet_transaction_consumptions
object[]
required
meta
object
required